Skip to main content
POST
settle incurred usage against a run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string
required

The run ID

Minimum string length: 1
Example:

"brun_123"

Body

application/json

The incurred usage payload

featureSlug
string
required
Minimum string length: 1
idempotencyKey
string
required
Minimum string length: 1
id
string
Minimum string length: 1
eventSlug
string
Minimum string length: 1
timestamp
integer
Required range: x > 0
properties
object

Response

The settlement decision

accepted
boolean
required
reason
enum<string>
required
Available options:
accepted,
duplicate,
insufficient_budget,
expired,
not_running,
entitlement_denied
run
object
required
fundingStatus
enum<string>
Available options:
fully_funded,
partially_funded,
unfunded
fundedAmountMinor
integer
Required range: x >= 0
unfundedAmountMinor
integer
Required range: x >= 0